Bug 7770 - Delete history item option is missing in history window
: Delete history item option is missing in history window
Status: RESOLVED WONTFIX
Product: Browser
User interface
: 5.0/(3.2010.02-8)
: N900 Maemo
: Low enhancement (vote)
: ---
Assigned To: unassigned
: browser-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-08 00:47 UTC by lakshmi.p
Modified: 2012-03-24 11:39 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description lakshmi.p (reporter) 2010-01-08 00:47:07 UTC
SOFTWARE VERSION:
1.2009.42-11

There is no option to select and delete history item, if we want to delete a
particular item from the history list. Clear browser history option is
available in clear private data dialog, but that clears everything including
urls typed in toolbar entry field. 

EXACT STEPS LEADING TO PROBLEM: 
1. Open one or more web pages in browser(for example google.com and bbc.co.uk) 
2. Tap on back arrow button on the toolbar
3. Tap on "Complete browsing history" button
4. Choose folder "Today"

EXPECTED OUTCOME:
Enhancement request: Option to delete an item from the history list(similar to
bookmark delete option).

ACTUAL OUTCOME:
Delete option is not available to delete a particular item from the history
list.
Comment 1 Venomrush 2010-03-16 22:03:41 UTC
Confirming

Also for applies for 'complete browsing history' as well.
Comment 2 Andre Klapper maemo.org 2012-03-24 11:39:37 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )